package com.cim.idm.wmspackage.user.management.data;

import com.cim.idm.framework.orm.info.DataInfo;
import com.cim.idm.framework.orm.info.UserColumnMark;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

/*
 ****************************************************************************
 *  PACKAGE : com.cim.idm.mespackage.user.management.data
 *  NAME    : Menu.java
 *  TYPE    : JAVA
 *  DESCRIPTION :
 *
 ****************************************************************************
 */

public class Menu extends FieldAccessor implements DataInfo<MenuKey>
{
	private MenuKey	key;

	private String	caption;
	private String	description;
	private String	menuType;
	private String	superMenuName;
	private long	positionAtSuperMenu;
	private String	formName;
	

	public Menu()
	{
	}

	public MenuKey getKey()
	{
		return this.key;
	}

	public void setKey(MenuKey key)
	{
		this.key = key;
	}

	public String getCaption()
	{
		return this.caption;
	}

	public void setCaption(String caption)
	{
		this.caption = caption;
	}

	public String getDescription()
	{
		return this.description;
	}

	public void setDescription(String description)
	{
		this.description = description;
	}

	public String getMenuType()
	{
		return this.menuType;
	}

	public void setMenuType(String menuType)
	{
		this.menuType = menuType;
	}

	public String getSuperMenuName()
	{
		return this.superMenuName;
	}

	public void setSuperMenuName(String superMenuName)
	{
		this.superMenuName = superMenuName;
	}

	public long getPositionAtSuperMenu()
	{
		return this.positionAtSuperMenu;
	}

	public void setPositionAtSuperMenu(long positionAtSuperMenu)
	{
		this.positionAtSuperMenu = positionAtSuperMenu;
	}

	public String getFormName()
	{
		return this.formName;
	}

	public void setFormName(String formName)
	{
		this.formName = formName;
	}

}